Project

General

Profile

Bug #11940

Canon SL2 (aka 200D) files not opening

Added by John Higgins about 1 year ago. Updated about 1 year ago.

Status:
Fixed
Priority:
Low
Assignee:
Category:
-
Target version:
Start date:
01/16/2018
Due date:
% Done:

100%

Affected Version:
git master branch
System:
all
bitness:
64-bit
hardware architecture:
amd64/x86

Description

When loading RAW files into darktable 2.4 from my Canon SL2, the previews of the images are displayed in the browser, but and error message regarding the white balance prevents the files from being opened in the editing module. The exposure in the attached files are not necessarily perfect, but I can upload some properly exposed OOC files (in my opinion at least) later on tonight or tomorrow when I am at my home PC.

RAW files from my old Canon Rebel XS or any jpeg files do, in fact, load properly into darktable.

IMG_0184.CR2 (31.4 MB) John Higgins, 01/16/2018 07:13 PM

IMG_0007.CR2 (33.6 MB) John Higgins, 01/16/2018 07:17 PM

IMG_0176.CR2 (30.1 MB) John Higgins, 01/16/2018 07:20 PM

Associated revisions

Revision 83c0a7c5
Added by Roman Lebedev about 1 year ago

RawSpeed submodule update: metric craptop of fuzzing fixes, some camera support.

Fixes #11893.
Fixes #11940.
Closes #11911. <- i don't see how this can be resolved.

History

#1 Updated by Roman Lebedev about 1 year ago

  • Affected Version changed from 2.4.0 to git master branch
  • System changed from Windows to all
  • Assignee set to Roman Lebedev

#2 Updated by Tobias Ellinghaus about 1 year ago

  • Status changed from New to Triaged
  • % Done changed from 0 to 20

#3 Updated by Roman Lebedev about 1 year ago

  • Status changed from Triaged to In Progress
  • % Done changed from 20 to 50

Ok, that was dumb.

#4 Updated by John Higgins about 1 year ago

Roman Lebedev wrote:

Ok, that was dumb.

why, what happened?

#5 Updated by Roman Lebedev about 1 year ago

  • Status changed from In Progress to Fixed
  • % Done changed from 50 to 100

#6 Updated by Roman Lebedev about 1 year ago

  • Target version set to 2.6.0

Also available in: Atom PDF